<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pages', function (Blueprint $table) {
            $table->id();

            $table->foreignId('parent_id')->nullable()->constrained('pages');

            $table->text('title');
            $table->text('slug');
            $table->text('description')->nullable();
            $table->text('content')->nullable();
            $table->text('alternative_content')->nullable();

            $table->text('meta_title')->nullable();
            $table->text('meta_keywords')->nullable();
            $table->text('meta_description')->nullable();

            $table->boolean('status')->default(true);
            $table->boolean('display_in_navigation')->default(true);
            $table->integer('ordernum')->default(0);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pages');
    }
};